/// <reference types="node" />
import { EventEmitter2 } from 'eventemitter2';
import { Doc, Path } from 'sharedb';
import { DocInterface, EngineInterface, TargetOp } from '../types';
export default class Producer extends EventEmitter2 {
    private engine;
    private doc?;
    private dmp;
    timer: NodeJS.Timeout | null;
    lineStart: boolean;
    constructor(engine: EngineInterface, options: {
        doc?: DocInterface | Doc;
    });
    setDoc(doc: DocInterface | Doc): void;
    textToOps(path: Path, text1: string, text2: string): (import("sharedb/lib/sharedb").StringDeleteOp | import("sharedb/lib/sharedb").StringInsertOp)[];
    /**
     * 生成属性ops
     * @param id
     * @param oldAttributes
     * @param path
     * @param newAttributes
     * @returns
     */
    handleAttributes(id: string, beginIndex: number, path: Path, oldAttributes: Record<string, any>, newAttributes: Record<string, any>): TargetOp[];
    /**
     * 处理新数据只有一行文本的时候
     * @param id
     * @param path
     * @param newText
     * @param oldValue
     * @returns
     */
    handleFirstLineText: (id: string, beginIndex: number, path: import("sharedb/lib/sharedb").Path, newText: string, oldChildren: any[]) => TargetOp[];
    isLoadingCard: (child: any) => boolean;
    handleChildren: (id: string, beginIndex: number, path: import("sharedb/lib/sharedb").Path, oldChildren: any[], newChildren: any[]) => TargetOp[];
    /**
     * 处理DOM节点变更记录
     * @param records 记录集合
     */
    handleMutations(records: MutationRecord[]): void;
    diff(root: Element, data?: any): TargetOp[];
    /**
     * 从 doc 中查找目标卡片
     * @param data
     * @param name
     * @param callback
     * @returns 返回卡片属性，以及是否已渲染
     */
    findCardForDoc: (data: any, name: string, callback?: ((attributes: {
        [key: string]: string;
    }) => boolean) | undefined) => {
        attributes: any;
        rendered: boolean;
    } | void;
}
