import { EventEmitter2 } from 'eventemitter2';
import { EngineInterface } from '../types/engine';
import { Attribute, Member, SelectionInterface } from '../types/ot';
import { RangeInterface, RangePath } from '../types/range';
import { CardInterface } from '../types/card';
import { NodeInterface } from '../types/node';
declare class OTSelection extends EventEmitter2 implements SelectionInterface {
    private engine;
    private prevRange;
    private rangeColoring;
    currentRangePath?: {
        start: RangePath;
        end: RangePath;
    };
    data: Map<string, Attribute>;
    current: Member | null;
    constructor(engine: EngineInterface);
    handleScroll: (node: NodeInterface) => void;
    handleMouseDown: () => void;
    handleMouseUp: () => void;
    getCardResizeRange(card: CardInterface): RangeInterface | null;
    private observer;
    emitSelectChange: (refreshBG?: boolean) => void;
    setCurrent(member: Member): void;
    setAttribute(attr: Attribute, member: Member, refreshBG?: boolean): void;
    removeAttirbute(uuid: string): void;
    getAttribute(uuid: string): Attribute | undefined;
    onSelectionChange(range: RangeInterface, force?: boolean, refreshBG?: boolean): void;
    refreshAttributes(...members: Member[]): void;
    destory(): void;
}
export default OTSelection;
